rpmioPool_s Struct Reference
Collaboration diagram for rpmioPool_s:
[legend]

## Data Fields

yarnLock | have
void * | pool
rpmioItem | head
rpmioItem * | tail
size_t | size
int | limit
int | flags
const char *(* | dbg )(void *item)
void(* | init )(void *item)
void(* | fini )(void *item)
int | reused
int | made
const char * | name
void * | zlog

## Detailed Description

Definition at line 37 of file rpmmalloc.c.

## Field Documentation

const char*(* rpmioPool_s::dbg)(void *item)

generate string w Unlink/Link debugging

Definition at line 49 of file rpmmalloc.c.

Referenced by rpmioFreePoolItem(), rpmioLinkPoolItem(), rpmioNewPool(), and rpmioUnlinkPoolItem().

void(* rpmioPool_s::fini)(void *item)

destroy item contents.

Definition at line 55 of file rpmmalloc.c.

Referenced by rpmioFreePoolItem(), and rpmioNewPool().

int rpmioPool_s::flags

Definition at line 47 of file rpmmalloc.c.

Referenced by rpmioFreePoolItem(), rpmioLinkPoolItem(), rpmioNewPool(), and rpmioUnlinkPoolItem().

yarnLock rpmioPool_s::have

unused items available, lock for list

Definition at line 38 of file rpmmalloc.c.

Referenced by rpmioFreePool(), rpmioGetPool(), rpmioNewPool(), and rpmioPutPool().

rpmioItem rpmioPool_s::head

linked list of available items

Definition at line 42 of file rpmmalloc.c.

Referenced by rpmioFreePool(), rpmioGetPool(), and rpmioNewPool().

void(* rpmioPool_s::init)(void *item)

create item contents.

Definition at line 52 of file rpmmalloc.c.

Referenced by rpmioNewPool().

int rpmioPool_s::limit

number of new items allowed, or -1

Definition at line 46 of file rpmmalloc.c.

Referenced by rpmioGetPool(), and rpmioNewPool().

int rpmioPool_s::made

number of items made

Definition at line 58 of file rpmmalloc.c.

Referenced by rpmioFreePool(), rpmioGetPool(), and rpmioNewPool().

const char* rpmioPool_s::name

Definition at line 60 of file rpmmalloc.c.

Referenced by rpmioFreePool(), rpmioFreePoolItem(), rpmioLinkPoolItem(), rpmioNewPool(), and rpmioUnlinkPoolItem().

void* rpmioPool_s::pool

Definition at line 40 of file rpmmalloc.c.

Referenced by rpmioNewPool().

int rpmioPool_s::reused

number of items reused

Definition at line 57 of file rpmmalloc.c.

Referenced by rpmioFreePool(), rpmioGetPool(), and rpmioNewPool().

size_t rpmioPool_s::size

size of items in this pool

Definition at line 45 of file rpmmalloc.c.

Referenced by rpmioNewPool().

rpmioItem* rpmioPool_s::tail

Definition at line 44 of file rpmmalloc.c.

Referenced by rpmioGetPool(), rpmioNewPool(), and rpmioPutPool().

void* rpmioPool_s::zlog

Definition at line 62 of file rpmmalloc.c.

Referenced by rpmioNewPool().

The documentation for this struct was generated from the following file:

- rpmio/rpmmalloc.c